<?php
// Copyright (c) 2016 Interfacelab LLC. All rights reserved.
//
// Released under the GPLv3 license
// http://www.gnu.org/licenses/gpl-3.0.html
//
// Uses code from:
// Persist Admin Notices Dismissal
// by Agbonghama Collins and Andy Fragen
//
// **********************************************************************
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
// **********************************************************************

namespace ILAB\MediaCloud\Utilities\Development;

use ILAB\MediaCloud\CLI\Command;
use ILAB\MediaCloud\Utilities\View;
use Illuminate\Filesystem\Filesystem;
use Symfony\Component\Finder\SplFileInfo;

if (!defined('ABSPATH')) { header('Location: /'); die; }

/**
 * Tools for Media Cloud development
 * @package ILAB\MediaCloud\CLI\Storage
 */
class DevToolsCommand extends Command {
	/**
	 * Compiles all of the views
	 *
	 * @when after_wp_load
	 *
	 * @param $args
	 * @param $assoc_args
	 */
	public function cacheviews($args, $assoc_args) {
		$paths = View::bladeInstance()->viewFinder->getPaths();

		$fs = new Filesystem();

		foreach($paths as $path) {
			$viewPaths = $fs->allFiles($path);
			/** @var SplFileInfo $filePath */
			foreach($viewPaths as $filePath) {
				static::Info($filePath->getPathname(), true);
				View::bladeInstance()->compiler->compile($filePath->getPathname());
			}
		}

	}

	public static function Register() {
		if (!empty(getenv('MCLOUD_DEV_MODE'))) {
			\WP_CLI::add_command('mediaclouddev', __CLASS__);
		}
	}

}