<?php
namespace ILABAmazon\AlexaForBusiness;

use ILABAmazon\AwsClient;

/**
 * This client is used to interact with the **Alexa For Business** service.
 * @method \ILABAmazon\Result approveSkill(array $args = [])
 * @method \GuzzleHttp\Promise\Promise approveSkillAsync(array $args = [])
 * @method \ILABAmazon\Result associateContactWithAddressBook(array $args = [])
 * @method \GuzzleHttp\Promise\Promise associateContactWithAddressBookAsync(array $args = [])
 * @method \ILABAmazon\Result associateDeviceWithNetworkProfile(array $args = [])
 * @method \GuzzleHttp\Promise\Promise associateDeviceWithNetworkProfileAsync(array $args = [])
 * @method \ILABAmazon\Result associateDeviceWithRoom(array $args = [])
 * @method \GuzzleHttp\Promise\Promise associateDeviceWithRoomAsync(array $args = [])
 * @method \ILABAmazon\Result associateSkillGroupWithRoom(array $args = [])
 * @method \GuzzleHttp\Promise\Promise associateSkillGroupWithRoomAsync(array $args = [])
 * @method \ILABAmazon\Result associateSkillWithSkillGroup(array $args = [])
 * @method \GuzzleHttp\Promise\Promise associateSkillWithSkillGroupAsync(array $args = [])
 * @method \ILABAmazon\Result associateSkillWithUsers(array $args = [])
 * @method \GuzzleHttp\Promise\Promise associateSkillWithUsersAsync(array $args = [])
 * @method \ILABAmazon\Result createAddressBook(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createAddressBookAsync(array $args = [])
 * @method \ILABAmazon\Result createBusinessReportSchedule(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createBusinessReportScheduleAsync(array $args = [])
 * @method \ILABAmazon\Result createConferenceProvider(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createConferenceProviderAsync(array $args = [])
 * @method \ILABAmazon\Result createContact(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createContactAsync(array $args = [])
 * @method \ILABAmazon\Result createGatewayGroup(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createGatewayGroupAsync(array $args = [])
 * @method \ILABAmazon\Result createNetworkProfile(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createNetworkProfileAsync(array $args = [])
 * @method \ILABAmazon\Result createProfile(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createProfileAsync(array $args = [])
 * @method \ILABAmazon\Result createRoom(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createRoomAsync(array $args = [])
 * @method \ILABAmazon\Result createSkillGroup(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createSkillGroupAsync(array $args = [])
 * @method \ILABAmazon\Result createUser(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createUserAsync(array $args = [])
 * @method \ILABAmazon\Result deleteAddressBook(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteAddressBookAsync(array $args = [])
 * @method \ILABAmazon\Result deleteBusinessReportSchedule(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteBusinessReportScheduleAsync(array $args = [])
 * @method \ILABAmazon\Result deleteConferenceProvider(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteConferenceProviderAsync(array $args = [])
 * @method \ILABAmazon\Result deleteContact(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteContactAsync(array $args = [])
 * @method \ILABAmazon\Result deleteDevice(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteDeviceAsync(array $args = [])
 * @method \ILABAmazon\Result deleteDeviceUsageData(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteDeviceUsageDataAsync(array $args = [])
 * @method \ILABAmazon\Result deleteGatewayGroup(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteGatewayGroupAsync(array $args = [])
 * @method \ILABAmazon\Result deleteNetworkProfile(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteNetworkProfileAsync(array $args = [])
 * @method \ILABAmazon\Result deleteProfile(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteProfileAsync(array $args = [])
 * @method \ILABAmazon\Result deleteRoom(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteRoomAsync(array $args = [])
 * @method \ILABAmazon\Result deleteRoomSkillParameter(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteRoomSkillParameterAsync(array $args = [])
 * @method \ILABAmazon\Result deleteSkillAuthorization(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteSkillAuthorizationAsync(array $args = [])
 * @method \ILABAmazon\Result deleteSkillGroup(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteSkillGroupAsync(array $args = [])
 * @method \ILABAmazon\Result deleteUser(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteUserAsync(array $args = [])
 * @method \ILABAmazon\Result disassociateContactFromAddressBook(array $args = [])
 * @method \GuzzleHttp\Promise\Promise disassociateContactFromAddressBookAsync(array $args = [])
 * @method \ILABAmazon\Result disassociateDeviceFromRoom(array $args = [])
 * @method \GuzzleHttp\Promise\Promise disassociateDeviceFromRoomAsync(array $args = [])
 * @method \ILABAmazon\Result disassociateSkillFromSkillGroup(array $args = [])
 * @method \GuzzleHttp\Promise\Promise disassociateSkillFromSkillGroupAsync(array $args = [])
 * @method \ILABAmazon\Result disassociateSkillFromUsers(array $args = [])
 * @method \GuzzleHttp\Promise\Promise disassociateSkillFromUsersAsync(array $args = [])
 * @method \ILABAmazon\Result disassociateSkillGroupFromRoom(array $args = [])
 * @method \GuzzleHttp\Promise\Promise disassociateSkillGroupFromRoomAsync(array $args = [])
 * @method \ILABAmazon\Result forgetSmartHomeAppliances(array $args = [])
 * @method \GuzzleHttp\Promise\Promise forgetSmartHomeAppliancesAsync(array $args = [])
 * @method \ILABAmazon\Result getAddressBook(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getAddressBookAsync(array $args = [])
 * @method \ILABAmazon\Result getConferencePreference(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getConferencePreferenceAsync(array $args = [])
 * @method \ILABAmazon\Result getConferenceProvider(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getConferenceProviderAsync(array $args = [])
 * @method \ILABAmazon\Result getContact(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getContactAsync(array $args = [])
 * @method \ILABAmazon\Result getDevice(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getDeviceAsync(array $args = [])
 * @method \ILABAmazon\Result getGateway(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getGatewayAsync(array $args = [])
 * @method \ILABAmazon\Result getGatewayGroup(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getGatewayGroupAsync(array $args = [])
 * @method \ILABAmazon\Result getInvitationConfiguration(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getInvitationConfigurationAsync(array $args = [])
 * @method \ILABAmazon\Result getNetworkProfile(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getNetworkProfileAsync(array $args = [])
 * @method \ILABAmazon\Result getProfile(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getProfileAsync(array $args = [])
 * @method \ILABAmazon\Result getRoom(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getRoomAsync(array $args = [])
 * @method \ILABAmazon\Result getRoomSkillParameter(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getRoomSkillParameterAsync(array $args = [])
 * @method \ILABAmazon\Result getSkillGroup(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getSkillGroupAsync(array $args = [])
 * @method \ILABAmazon\Result listBusinessReportSchedules(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listBusinessReportSchedulesAsync(array $args = [])
 * @method \ILABAmazon\Result listConferenceProviders(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listConferenceProvidersAsync(array $args = [])
 * @method \ILABAmazon\Result listDeviceEvents(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listDeviceEventsAsync(array $args = [])
 * @method \ILABAmazon\Result listGatewayGroups(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listGatewayGroupsAsync(array $args = [])
 * @method \ILABAmazon\Result listGateways(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listGatewaysAsync(array $args = [])
 * @method \ILABAmazon\Result listSkills(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listSkillsAsync(array $args = [])
 * @method \ILABAmazon\Result listSkillsStoreCategories(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listSkillsStoreCategoriesAsync(array $args = [])
 * @method \ILABAmazon\Result listSkillsStoreSkillsByCategory(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listSkillsStoreSkillsByCategoryAsync(array $args = [])
 * @method \ILABAmazon\Result listSmartHomeAppliances(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listSmartHomeAppliancesAsync(array $args = [])
 * @method \ILABAmazon\Result listTags(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listTagsAsync(array $args = [])
 * @method \ILABAmazon\Result putConferencePreference(array $args = [])
 * @method \GuzzleHttp\Promise\Promise putConferencePreferenceAsync(array $args = [])
 * @method \ILABAmazon\Result putInvitationConfiguration(array $args = [])
 * @method \GuzzleHttp\Promise\Promise putInvitationConfigurationAsync(array $args = [])
 * @method \ILABAmazon\Result putRoomSkillParameter(array $args = [])
 * @method \GuzzleHttp\Promise\Promise putRoomSkillParameterAsync(array $args = [])
 * @method \ILABAmazon\Result putSkillAuthorization(array $args = [])
 * @method \GuzzleHttp\Promise\Promise putSkillAuthorizationAsync(array $args = [])
 * @method \ILABAmazon\Result registerAVSDevice(array $args = [])
 * @method \GuzzleHttp\Promise\Promise registerAVSDeviceAsync(array $args = [])
 * @method \ILABAmazon\Result rejectSkill(array $args = [])
 * @method \GuzzleHttp\Promise\Promise rejectSkillAsync(array $args = [])
 * @method \ILABAmazon\Result resolveRoom(array $args = [])
 * @method \GuzzleHttp\Promise\Promise resolveRoomAsync(array $args = [])
 * @method \ILABAmazon\Result revokeInvitation(array $args = [])
 * @method \GuzzleHttp\Promise\Promise revokeInvitationAsync(array $args = [])
 * @method \ILABAmazon\Result searchAddressBooks(array $args = [])
 * @method \GuzzleHttp\Promise\Promise searchAddressBooksAsync(array $args = [])
 * @method \ILABAmazon\Result searchContacts(array $args = [])
 * @method \GuzzleHttp\Promise\Promise searchContactsAsync(array $args = [])
 * @method \ILABAmazon\Result searchDevices(array $args = [])
 * @method \GuzzleHttp\Promise\Promise searchDevicesAsync(array $args = [])
 * @method \ILABAmazon\Result searchNetworkProfiles(array $args = [])
 * @method \GuzzleHttp\Promise\Promise searchNetworkProfilesAsync(array $args = [])
 * @method \ILABAmazon\Result searchProfiles(array $args = [])
 * @method \GuzzleHttp\Promise\Promise searchProfilesAsync(array $args = [])
 * @method \ILABAmazon\Result searchRooms(array $args = [])
 * @method \GuzzleHttp\Promise\Promise searchRoomsAsync(array $args = [])
 * @method \ILABAmazon\Result searchSkillGroups(array $args = [])
 * @method \GuzzleHttp\Promise\Promise searchSkillGroupsAsync(array $args = [])
 * @method \ILABAmazon\Result searchUsers(array $args = [])
 * @method \GuzzleHttp\Promise\Promise searchUsersAsync(array $args = [])
 * @method \ILABAmazon\Result sendAnnouncement(array $args = [])
 * @method \GuzzleHttp\Promise\Promise sendAnnouncementAsync(array $args = [])
 * @method \ILABAmazon\Result sendInvitation(array $args = [])
 * @method \GuzzleHttp\Promise\Promise sendInvitationAsync(array $args = [])
 * @method \ILABAmazon\Result startDeviceSync(array $args = [])
 * @method \GuzzleHttp\Promise\Promise startDeviceSyncAsync(array $args = [])
 * @method \ILABAmazon\Result startSmartHomeApplianceDiscovery(array $args = [])
 * @method \GuzzleHttp\Promise\Promise startSmartHomeApplianceDiscoveryAsync(array $args = [])
 * @method \ILABAmazon\Result tagResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \ILABAmazon\Result untagResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \ILABAmazon\Result updateAddressBook(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateAddressBookAsync(array $args = [])
 * @method \ILABAmazon\Result updateBusinessReportSchedule(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateBusinessReportScheduleAsync(array $args = [])
 * @method \ILABAmazon\Result updateConferenceProvider(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateConferenceProviderAsync(array $args = [])
 * @method \ILABAmazon\Result updateContact(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateContactAsync(array $args = [])
 * @method \ILABAmazon\Result updateDevice(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateDeviceAsync(array $args = [])
 * @method \ILABAmazon\Result updateGateway(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateGatewayAsync(array $args = [])
 * @method \ILABAmazon\Result updateGatewayGroup(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateGatewayGroupAsync(array $args = [])
 * @method \ILABAmazon\Result updateNetworkProfile(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateNetworkProfileAsync(array $args = [])
 * @method \ILABAmazon\Result updateProfile(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateProfileAsync(array $args = [])
 * @method \ILABAmazon\Result updateRoom(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateRoomAsync(array $args = [])
 * @method \ILABAmazon\Result updateSkillGroup(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateSkillGroupAsync(array $args = [])
 */
class AlexaForBusinessClient extends AwsClient {}
