<?php
namespace ILABAmazon\ApiGatewayV2;

use ILABAmazon\AwsClient;

/**
 * This client is used to interact with the **AmazonApiGatewayV2** service.
 * @method \ILABAmazon\Result createApi(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createApiAsync(array $args = [])
 * @method \ILABAmazon\Result createApiMapping(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createApiMappingAsync(array $args = [])
 * @method \ILABAmazon\Result createAuthorizer(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createAuthorizerAsync(array $args = [])
 * @method \ILABAmazon\Result createDeployment(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createDeploymentAsync(array $args = [])
 * @method \ILABAmazon\Result createDomainName(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createDomainNameAsync(array $args = [])
 * @method \ILABAmazon\Result createIntegration(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createIntegrationAsync(array $args = [])
 * @method \ILABAmazon\Result createIntegrationResponse(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createIntegrationResponseAsync(array $args = [])
 * @method \ILABAmazon\Result createModel(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createModelAsync(array $args = [])
 * @method \ILABAmazon\Result createRoute(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createRouteAsync(array $args = [])
 * @method \ILABAmazon\Result createRouteResponse(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createRouteResponseAsync(array $args = [])
 * @method \ILABAmazon\Result createStage(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createStageAsync(array $args = [])
 * @method \ILABAmazon\Result deleteApi(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteApiAsync(array $args = [])
 * @method \ILABAmazon\Result deleteApiMapping(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteApiMappingAsync(array $args = [])
 * @method \ILABAmazon\Result deleteAuthorizer(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteAuthorizerAsync(array $args = [])
 * @method \ILABAmazon\Result deleteDeployment(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteDeploymentAsync(array $args = [])
 * @method \ILABAmazon\Result deleteDomainName(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteDomainNameAsync(array $args = [])
 * @method \ILABAmazon\Result deleteIntegration(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteIntegrationAsync(array $args = [])
 * @method \ILABAmazon\Result deleteIntegrationResponse(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteIntegrationResponseAsync(array $args = [])
 * @method \ILABAmazon\Result deleteModel(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteModelAsync(array $args = [])
 * @method \ILABAmazon\Result deleteRoute(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteRouteAsync(array $args = [])
 * @method \ILABAmazon\Result deleteRouteResponse(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteRouteResponseAsync(array $args = [])
 * @method \ILABAmazon\Result deleteStage(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteStageAsync(array $args = [])
 * @method \ILABAmazon\Result getApi(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getApiAsync(array $args = [])
 * @method \ILABAmazon\Result getApiMapping(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getApiMappingAsync(array $args = [])
 * @method \ILABAmazon\Result getApiMappings(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getApiMappingsAsync(array $args = [])
 * @method \ILABAmazon\Result getApis(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getApisAsync(array $args = [])
 * @method \ILABAmazon\Result getAuthorizer(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getAuthorizerAsync(array $args = [])
 * @method \ILABAmazon\Result getAuthorizers(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getAuthorizersAsync(array $args = [])
 * @method \ILABAmazon\Result getDeployment(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getDeploymentAsync(array $args = [])
 * @method \ILABAmazon\Result getDeployments(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getDeploymentsAsync(array $args = [])
 * @method \ILABAmazon\Result getDomainName(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getDomainNameAsync(array $args = [])
 * @method \ILABAmazon\Result getDomainNames(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getDomainNamesAsync(array $args = [])
 * @method \ILABAmazon\Result getIntegration(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getIntegrationAsync(array $args = [])
 * @method \ILABAmazon\Result getIntegrationResponse(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getIntegrationResponseAsync(array $args = [])
 * @method \ILABAmazon\Result getIntegrationResponses(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getIntegrationResponsesAsync(array $args = [])
 * @method \ILABAmazon\Result getIntegrations(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getIntegrationsAsync(array $args = [])
 * @method \ILABAmazon\Result getModel(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getModelAsync(array $args = [])
 * @method \ILABAmazon\Result getModelTemplate(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getModelTemplateAsync(array $args = [])
 * @method \ILABAmazon\Result getModels(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getModelsAsync(array $args = [])
 * @method \ILABAmazon\Result getRoute(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getRouteAsync(array $args = [])
 * @method \ILABAmazon\Result getRouteResponse(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getRouteResponseAsync(array $args = [])
 * @method \ILABAmazon\Result getRouteResponses(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getRouteResponsesAsync(array $args = [])
 * @method \ILABAmazon\Result getRoutes(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getRoutesAsync(array $args = [])
 * @method \ILABAmazon\Result getStage(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getStageAsync(array $args = [])
 * @method \ILABAmazon\Result getStages(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getStagesAsync(array $args = [])
 * @method \ILABAmazon\Result getTags(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getTagsAsync(array $args = [])
 * @method \ILABAmazon\Result tagResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \ILABAmazon\Result untagResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \ILABAmazon\Result updateApi(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateApiAsync(array $args = [])
 * @method \ILABAmazon\Result updateApiMapping(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateApiMappingAsync(array $args = [])
 * @method \ILABAmazon\Result updateAuthorizer(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateAuthorizerAsync(array $args = [])
 * @method \ILABAmazon\Result updateDeployment(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateDeploymentAsync(array $args = [])
 * @method \ILABAmazon\Result updateDomainName(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateDomainNameAsync(array $args = [])
 * @method \ILABAmazon\Result updateIntegration(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateIntegrationAsync(array $args = [])
 * @method \ILABAmazon\Result updateIntegrationResponse(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateIntegrationResponseAsync(array $args = [])
 * @method \ILABAmazon\Result updateModel(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateModelAsync(array $args = [])
 * @method \ILABAmazon\Result updateRoute(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateRouteAsync(array $args = [])
 * @method \ILABAmazon\Result updateRouteResponse(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateRouteResponseAsync(array $args = [])
 * @method \ILABAmazon\Result updateStage(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateStageAsync(array $args = [])
 */
class ApiGatewayV2Client extends AwsClient {}
