<?php
namespace ILABAmazon\AppMesh;

use ILABAmazon\AwsClient;

/**
 * This client is used to interact with the **AWS App Mesh** service.
 * @method \ILABAmazon\Result createMesh(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createMeshAsync(array $args = [])
 * @method \ILABAmazon\Result createRoute(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createRouteAsync(array $args = [])
 * @method \ILABAmazon\Result createVirtualNode(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createVirtualNodeAsync(array $args = [])
 * @method \ILABAmazon\Result createVirtualRouter(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createVirtualRouterAsync(array $args = [])
 * @method \ILABAmazon\Result deleteMesh(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteMeshAsync(array $args = [])
 * @method \ILABAmazon\Result deleteRoute(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteRouteAsync(array $args = [])
 * @method \ILABAmazon\Result deleteVirtualNode(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteVirtualNodeAsync(array $args = [])
 * @method \ILABAmazon\Result deleteVirtualRouter(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteVirtualRouterAsync(array $args = [])
 * @method \ILABAmazon\Result describeMesh(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeMeshAsync(array $args = [])
 * @method \ILABAmazon\Result describeRoute(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeRouteAsync(array $args = [])
 * @method \ILABAmazon\Result describeVirtualNode(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeVirtualNodeAsync(array $args = [])
 * @method \ILABAmazon\Result describeVirtualRouter(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeVirtualRouterAsync(array $args = [])
 * @method \ILABAmazon\Result listMeshes(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listMeshesAsync(array $args = [])
 * @method \ILABAmazon\Result listRoutes(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listRoutesAsync(array $args = [])
 * @method \ILABAmazon\Result listVirtualNodes(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listVirtualNodesAsync(array $args = [])
 * @method \ILABAmazon\Result listVirtualRouters(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listVirtualRoutersAsync(array $args = [])
 * @method \ILABAmazon\Result updateRoute(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateRouteAsync(array $args = [])
 * @method \ILABAmazon\Result updateVirtualNode(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateVirtualNodeAsync(array $args = [])
 * @method \ILABAmazon\Result updateVirtualRouter(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateVirtualRouterAsync(array $args = [])
 * @method \ILABAmazon\Result createVirtualService(array $args = []) (supported in versions 2019-01-25)
 * @method \GuzzleHttp\Promise\Promise createVirtualServiceAsync(array $args = []) (supported in versions 2019-01-25)
 * @method \ILABAmazon\Result deleteVirtualService(array $args = []) (supported in versions 2019-01-25)
 * @method \GuzzleHttp\Promise\Promise deleteVirtualServiceAsync(array $args = []) (supported in versions 2019-01-25)
 * @method \ILABAmazon\Result describeVirtualService(array $args = []) (supported in versions 2019-01-25)
 * @method \GuzzleHttp\Promise\Promise describeVirtualServiceAsync(array $args = []) (supported in versions 2019-01-25)
 * @method \ILABAmazon\Result listTagsForResource(array $args = []) (supported in versions 2019-01-25)
 * @method \GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = []) (supported in versions 2019-01-25)
 * @method \ILABAmazon\Result listVirtualServices(array $args = []) (supported in versions 2019-01-25)
 * @method \GuzzleHttp\Promise\Promise listVirtualServicesAsync(array $args = []) (supported in versions 2019-01-25)
 * @method \ILABAmazon\Result tagResource(array $args = []) (supported in versions 2019-01-25)
 * @method \GuzzleHttp\Promise\Promise tagResourceAsync(array $args = []) (supported in versions 2019-01-25)
 * @method \ILABAmazon\Result untagResource(array $args = []) (supported in versions 2019-01-25)
 * @method \GuzzleHttp\Promise\Promise untagResourceAsync(array $args = []) (supported in versions 2019-01-25)
 * @method \ILABAmazon\Result updateMesh(array $args = []) (supported in versions 2019-01-25)
 * @method \GuzzleHttp\Promise\Promise updateMeshAsync(array $args = []) (supported in versions 2019-01-25)
 * @method \ILABAmazon\Result updateVirtualService(array $args = []) (supported in versions 2019-01-25)
 * @method \GuzzleHttp\Promise\Promise updateVirtualServiceAsync(array $args = []) (supported in versions 2019-01-25)
 */
class AppMeshClient extends AwsClient {}
