<?php
namespace ILABAmazon\CloudDirectory;

use ILABAmazon\AwsClient;

/**
 * This client is used to interact with the **Amazon CloudDirectory** service.
 * @method \ILABAmazon\Result addFacetToObject(array $args = [])
 * @method \GuzzleHttp\Promise\Promise addFacetToObjectAsync(array $args = [])
 * @method \ILABAmazon\Result applySchema(array $args = [])
 * @method \GuzzleHttp\Promise\Promise applySchemaAsync(array $args = [])
 * @method \ILABAmazon\Result attachObject(array $args = [])
 * @method \GuzzleHttp\Promise\Promise attachObjectAsync(array $args = [])
 * @method \ILABAmazon\Result attachPolicy(array $args = [])
 * @method \GuzzleHttp\Promise\Promise attachPolicyAsync(array $args = [])
 * @method \ILABAmazon\Result attachToIndex(array $args = [])
 * @method \GuzzleHttp\Promise\Promise attachToIndexAsync(array $args = [])
 * @method \ILABAmazon\Result attachTypedLink(array $args = [])
 * @method \GuzzleHttp\Promise\Promise attachTypedLinkAsync(array $args = [])
 * @method \ILABAmazon\Result batchRead(array $args = [])
 * @method \GuzzleHttp\Promise\Promise batchReadAsync(array $args = [])
 * @method \ILABAmazon\Result batchWrite(array $args = [])
 * @method \GuzzleHttp\Promise\Promise batchWriteAsync(array $args = [])
 * @method \ILABAmazon\Result createDirectory(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createDirectoryAsync(array $args = [])
 * @method \ILABAmazon\Result createFacet(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createFacetAsync(array $args = [])
 * @method \ILABAmazon\Result createIndex(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createIndexAsync(array $args = [])
 * @method \ILABAmazon\Result createObject(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createObjectAsync(array $args = [])
 * @method \ILABAmazon\Result createSchema(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createSchemaAsync(array $args = [])
 * @method \ILABAmazon\Result createTypedLinkFacet(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createTypedLinkFacetAsync(array $args = [])
 * @method \ILABAmazon\Result deleteDirectory(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteDirectoryAsync(array $args = [])
 * @method \ILABAmazon\Result deleteFacet(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteFacetAsync(array $args = [])
 * @method \ILABAmazon\Result deleteObject(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteObjectAsync(array $args = [])
 * @method \ILABAmazon\Result deleteSchema(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteSchemaAsync(array $args = [])
 * @method \ILABAmazon\Result deleteTypedLinkFacet(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteTypedLinkFacetAsync(array $args = [])
 * @method \ILABAmazon\Result detachFromIndex(array $args = [])
 * @method \GuzzleHttp\Promise\Promise detachFromIndexAsync(array $args = [])
 * @method \ILABAmazon\Result detachObject(array $args = [])
 * @method \GuzzleHttp\Promise\Promise detachObjectAsync(array $args = [])
 * @method \ILABAmazon\Result detachPolicy(array $args = [])
 * @method \GuzzleHttp\Promise\Promise detachPolicyAsync(array $args = [])
 * @method \ILABAmazon\Result detachTypedLink(array $args = [])
 * @method \GuzzleHttp\Promise\Promise detachTypedLinkAsync(array $args = [])
 * @method \ILABAmazon\Result disableDirectory(array $args = [])
 * @method \GuzzleHttp\Promise\Promise disableDirectoryAsync(array $args = [])
 * @method \ILABAmazon\Result enableDirectory(array $args = [])
 * @method \GuzzleHttp\Promise\Promise enableDirectoryAsync(array $args = [])
 * @method \ILABAmazon\Result getAppliedSchemaVersion(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getAppliedSchemaVersionAsync(array $args = [])
 * @method \ILABAmazon\Result getDirectory(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getDirectoryAsync(array $args = [])
 * @method \ILABAmazon\Result getFacet(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getFacetAsync(array $args = [])
 * @method \ILABAmazon\Result getLinkAttributes(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getLinkAttributesAsync(array $args = [])
 * @method \ILABAmazon\Result getObjectAttributes(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getObjectAttributesAsync(array $args = [])
 * @method \ILABAmazon\Result getObjectInformation(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getObjectInformationAsync(array $args = [])
 * @method \ILABAmazon\Result getSchemaAsJson(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getSchemaAsJsonAsync(array $args = [])
 * @method \ILABAmazon\Result getTypedLinkFacetInformation(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getTypedLinkFacetInformationAsync(array $args = [])
 * @method \ILABAmazon\Result listAppliedSchemaArns(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listAppliedSchemaArnsAsync(array $args = [])
 * @method \ILABAmazon\Result listAttachedIndices(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listAttachedIndicesAsync(array $args = [])
 * @method \ILABAmazon\Result listDevelopmentSchemaArns(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listDevelopmentSchemaArnsAsync(array $args = [])
 * @method \ILABAmazon\Result listDirectories(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listDirectoriesAsync(array $args = [])
 * @method \ILABAmazon\Result listFacetAttributes(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listFacetAttributesAsync(array $args = [])
 * @method \ILABAmazon\Result listFacetNames(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listFacetNamesAsync(array $args = [])
 * @method \ILABAmazon\Result listIncomingTypedLinks(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listIncomingTypedLinksAsync(array $args = [])
 * @method \ILABAmazon\Result listIndex(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listIndexAsync(array $args = [])
 * @method \ILABAmazon\Result listObjectAttributes(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listObjectAttributesAsync(array $args = [])
 * @method \ILABAmazon\Result listObjectChildren(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listObjectChildrenAsync(array $args = [])
 * @method \ILABAmazon\Result listObjectParentPaths(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listObjectParentPathsAsync(array $args = [])
 * @method \ILABAmazon\Result listObjectParents(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listObjectParentsAsync(array $args = [])
 * @method \ILABAmazon\Result listObjectPolicies(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listObjectPoliciesAsync(array $args = [])
 * @method \ILABAmazon\Result listOutgoingTypedLinks(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listOutgoingTypedLinksAsync(array $args = [])
 * @method \ILABAmazon\Result listPolicyAttachments(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listPolicyAttachmentsAsync(array $args = [])
 * @method \ILABAmazon\Result listPublishedSchemaArns(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listPublishedSchemaArnsAsync(array $args = [])
 * @method \ILABAmazon\Result listTagsForResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \ILABAmazon\Result listTypedLinkFacetAttributes(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listTypedLinkFacetAttributesAsync(array $args = [])
 * @method \ILABAmazon\Result listTypedLinkFacetNames(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listTypedLinkFacetNamesAsync(array $args = [])
 * @method \ILABAmazon\Result lookupPolicy(array $args = [])
 * @method \GuzzleHttp\Promise\Promise lookupPolicyAsync(array $args = [])
 * @method \ILABAmazon\Result publishSchema(array $args = [])
 * @method \GuzzleHttp\Promise\Promise publishSchemaAsync(array $args = [])
 * @method \ILABAmazon\Result putSchemaFromJson(array $args = [])
 * @method \GuzzleHttp\Promise\Promise putSchemaFromJsonAsync(array $args = [])
 * @method \ILABAmazon\Result removeFacetFromObject(array $args = [])
 * @method \GuzzleHttp\Promise\Promise removeFacetFromObjectAsync(array $args = [])
 * @method \ILABAmazon\Result tagResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \ILABAmazon\Result untagResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \ILABAmazon\Result updateFacet(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateFacetAsync(array $args = [])
 * @method \ILABAmazon\Result updateLinkAttributes(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateLinkAttributesAsync(array $args = [])
 * @method \ILABAmazon\Result updateObjectAttributes(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateObjectAttributesAsync(array $args = [])
 * @method \ILABAmazon\Result updateSchema(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateSchemaAsync(array $args = [])
 * @method \ILABAmazon\Result updateTypedLinkFacet(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateTypedLinkFacetAsync(array $args = [])
 * @method \ILABAmazon\Result upgradeAppliedSchema(array $args = [])
 * @method \GuzzleHttp\Promise\Promise upgradeAppliedSchemaAsync(array $args = [])
 * @method \ILABAmazon\Result upgradePublishedSchema(array $args = [])
 * @method \GuzzleHttp\Promise\Promise upgradePublishedSchemaAsync(array $args = [])
 * @method \ILABAmazon\Result listManagedSchemaArns(array $args = []) (supported in versions 2017-01-11)
 * @method \GuzzleHttp\Promise\Promise listManagedSchemaArnsAsync(array $args = []) (supported in versions 2017-01-11)
 */
class CloudDirectoryClient extends AwsClient {}
