<?php
namespace ILABAmazon\CodeDeploy;

use ILABAmazon\AwsClient;

/**
 * This client is used to interact with AWS CodeDeploy
 *
 * @method \ILABAmazon\Result addTagsToOnPremisesInstances(array $args = [])
 * @method \GuzzleHttp\Promise\Promise addTagsToOnPremisesInstancesAsync(array $args = [])
 * @method \ILABAmazon\Result batchGetApplicationRevisions(array $args = [])
 * @method \GuzzleHttp\Promise\Promise batchGetApplicationRevisionsAsync(array $args = [])
 * @method \ILABAmazon\Result batchGetApplications(array $args = [])
 * @method \GuzzleHttp\Promise\Promise batchGetApplicationsAsync(array $args = [])
 * @method \ILABAmazon\Result batchGetDeploymentGroups(array $args = [])
 * @method \GuzzleHttp\Promise\Promise batchGetDeploymentGroupsAsync(array $args = [])
 * @method \ILABAmazon\Result batchGetDeploymentInstances(array $args = [])
 * @method \GuzzleHttp\Promise\Promise batchGetDeploymentInstancesAsync(array $args = [])
 * @method \ILABAmazon\Result batchGetDeploymentTargets(array $args = [])
 * @method \GuzzleHttp\Promise\Promise batchGetDeploymentTargetsAsync(array $args = [])
 * @method \ILABAmazon\Result batchGetDeployments(array $args = [])
 * @method \GuzzleHttp\Promise\Promise batchGetDeploymentsAsync(array $args = [])
 * @method \ILABAmazon\Result batchGetOnPremisesInstances(array $args = [])
 * @method \GuzzleHttp\Promise\Promise batchGetOnPremisesInstancesAsync(array $args = [])
 * @method \ILABAmazon\Result continueDeployment(array $args = [])
 * @method \GuzzleHttp\Promise\Promise continueDeploymentAsync(array $args = [])
 * @method \ILABAmazon\Result createApplication(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createApplicationAsync(array $args = [])
 * @method \ILABAmazon\Result createDeployment(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createDeploymentAsync(array $args = [])
 * @method \ILABAmazon\Result createDeploymentConfig(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createDeploymentConfigAsync(array $args = [])
 * @method \ILABAmazon\Result createDeploymentGroup(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createDeploymentGroupAsync(array $args = [])
 * @method \ILABAmazon\Result deleteApplication(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteApplicationAsync(array $args = [])
 * @method \ILABAmazon\Result deleteDeploymentConfig(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteDeploymentConfigAsync(array $args = [])
 * @method \ILABAmazon\Result deleteDeploymentGroup(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteDeploymentGroupAsync(array $args = [])
 * @method \ILABAmazon\Result deleteGitHubAccountToken(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteGitHubAccountTokenAsync(array $args = [])
 * @method \ILABAmazon\Result deregisterOnPremisesInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deregisterOnPremisesInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result getApplication(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getApplicationAsync(array $args = [])
 * @method \ILABAmazon\Result getApplicationRevision(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getApplicationRevisionAsync(array $args = [])
 * @method \ILABAmazon\Result getDeployment(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getDeploymentAsync(array $args = [])
 * @method \ILABAmazon\Result getDeploymentConfig(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getDeploymentConfigAsync(array $args = [])
 * @method \ILABAmazon\Result getDeploymentGroup(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getDeploymentGroupAsync(array $args = [])
 * @method \ILABAmazon\Result getDeploymentInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getDeploymentInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result getDeploymentTarget(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getDeploymentTargetAsync(array $args = [])
 * @method \ILABAmazon\Result getOnPremisesInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getOnPremisesInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result listApplicationRevisions(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listApplicationRevisionsAsync(array $args = [])
 * @method \ILABAmazon\Result listApplications(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listApplicationsAsync(array $args = [])
 * @method \ILABAmazon\Result listDeploymentConfigs(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listDeploymentConfigsAsync(array $args = [])
 * @method \ILABAmazon\Result listDeploymentGroups(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listDeploymentGroupsAsync(array $args = [])
 * @method \ILABAmazon\Result listDeploymentInstances(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listDeploymentInstancesAsync(array $args = [])
 * @method \ILABAmazon\Result listDeploymentTargets(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listDeploymentTargetsAsync(array $args = [])
 * @method \ILABAmazon\Result listDeployments(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listDeploymentsAsync(array $args = [])
 * @method \ILABAmazon\Result listGitHubAccountTokenNames(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listGitHubAccountTokenNamesAsync(array $args = [])
 * @method \ILABAmazon\Result listOnPremisesInstances(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listOnPremisesInstancesAsync(array $args = [])
 * @method \ILABAmazon\Result listTagsForResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \ILABAmazon\Result putLifecycleEventHookExecutionStatus(array $args = [])
 * @method \GuzzleHttp\Promise\Promise putLifecycleEventHookExecutionStatusAsync(array $args = [])
 * @method \ILABAmazon\Result registerApplicationRevision(array $args = [])
 * @method \GuzzleHttp\Promise\Promise registerApplicationRevisionAsync(array $args = [])
 * @method \ILABAmazon\Result registerOnPremisesInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise registerOnPremisesInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result removeTagsFromOnPremisesInstances(array $args = [])
 * @method \GuzzleHttp\Promise\Promise removeTagsFromOnPremisesInstancesAsync(array $args = [])
 * @method \ILABAmazon\Result skipWaitTimeForInstanceTermination(array $args = [])
 * @method \GuzzleHttp\Promise\Promise skipWaitTimeForInstanceTerminationAsync(array $args = [])
 * @method \ILABAmazon\Result stopDeployment(array $args = [])
 * @method \GuzzleHttp\Promise\Promise stopDeploymentAsync(array $args = [])
 * @method \ILABAmazon\Result tagResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \ILABAmazon\Result untagResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \ILABAmazon\Result updateApplication(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateApplicationAsync(array $args = [])
 * @method \ILABAmazon\Result updateDeploymentGroup(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateDeploymentGroupAsync(array $args = [])
 */
class CodeDeployClient extends AwsClient {}
