<?php
namespace ILABAmazon\Inspector;

use ILABAmazon\AwsClient;

/**
 * This client is used to interact with the **Amazon Inspector** service.
 *
 * @method \ILABAmazon\Result addAttributesToFindings(array $args = [])
 * @method \GuzzleHttp\Promise\Promise addAttributesToFindingsAsync(array $args = [])
 * @method \ILABAmazon\Result createAssessmentTarget(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createAssessmentTargetAsync(array $args = [])
 * @method \ILABAmazon\Result createAssessmentTemplate(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createAssessmentTemplateAsync(array $args = [])
 * @method \ILABAmazon\Result createExclusionsPreview(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createExclusionsPreviewAsync(array $args = [])
 * @method \ILABAmazon\Result createResourceGroup(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createResourceGroupAsync(array $args = [])
 * @method \ILABAmazon\Result deleteAssessmentRun(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteAssessmentRunAsync(array $args = [])
 * @method \ILABAmazon\Result deleteAssessmentTarget(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteAssessmentTargetAsync(array $args = [])
 * @method \ILABAmazon\Result deleteAssessmentTemplate(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteAssessmentTemplateAsync(array $args = [])
 * @method \ILABAmazon\Result describeAssessmentRuns(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeAssessmentRunsAsync(array $args = [])
 * @method \ILABAmazon\Result describeAssessmentTargets(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeAssessmentTargetsAsync(array $args = [])
 * @method \ILABAmazon\Result describeAssessmentTemplates(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeAssessmentTemplatesAsync(array $args = [])
 * @method \ILABAmazon\Result describeCrossAccountAccessRole(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeCrossAccountAccessRoleAsync(array $args = [])
 * @method \ILABAmazon\Result describeExclusions(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeExclusionsAsync(array $args = [])
 * @method \ILABAmazon\Result describeFindings(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeFindingsAsync(array $args = [])
 * @method \ILABAmazon\Result describeResourceGroups(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeResourceGroupsAsync(array $args = [])
 * @method \ILABAmazon\Result describeRulesPackages(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeRulesPackagesAsync(array $args = [])
 * @method \ILABAmazon\Result getAssessmentReport(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getAssessmentReportAsync(array $args = [])
 * @method \ILABAmazon\Result getExclusionsPreview(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getExclusionsPreviewAsync(array $args = [])
 * @method \ILABAmazon\Result getTelemetryMetadata(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getTelemetryMetadataAsync(array $args = [])
 * @method \ILABAmazon\Result listAssessmentRunAgents(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listAssessmentRunAgentsAsync(array $args = [])
 * @method \ILABAmazon\Result listAssessmentRuns(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listAssessmentRunsAsync(array $args = [])
 * @method \ILABAmazon\Result listAssessmentTargets(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listAssessmentTargetsAsync(array $args = [])
 * @method \ILABAmazon\Result listAssessmentTemplates(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listAssessmentTemplatesAsync(array $args = [])
 * @method \ILABAmazon\Result listEventSubscriptions(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listEventSubscriptionsAsync(array $args = [])
 * @method \ILABAmazon\Result listExclusions(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listExclusionsAsync(array $args = [])
 * @method \ILABAmazon\Result listFindings(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listFindingsAsync(array $args = [])
 * @method \ILABAmazon\Result listRulesPackages(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listRulesPackagesAsync(array $args = [])
 * @method \ILABAmazon\Result listTagsForResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \ILABAmazon\Result previewAgents(array $args = [])
 * @method \GuzzleHttp\Promise\Promise previewAgentsAsync(array $args = [])
 * @method \ILABAmazon\Result registerCrossAccountAccessRole(array $args = [])
 * @method \GuzzleHttp\Promise\Promise registerCrossAccountAccessRoleAsync(array $args = [])
 * @method \ILABAmazon\Result removeAttributesFromFindings(array $args = [])
 * @method \GuzzleHttp\Promise\Promise removeAttributesFromFindingsAsync(array $args = [])
 * @method \ILABAmazon\Result setTagsForResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise setTagsForResourceAsync(array $args = [])
 * @method \ILABAmazon\Result startAssessmentRun(array $args = [])
 * @method \GuzzleHttp\Promise\Promise startAssessmentRunAsync(array $args = [])
 * @method \ILABAmazon\Result stopAssessmentRun(array $args = [])
 * @method \GuzzleHttp\Promise\Promise stopAssessmentRunAsync(array $args = [])
 * @method \ILABAmazon\Result subscribeToEvent(array $args = [])
 * @method \GuzzleHttp\Promise\Promise subscribeToEventAsync(array $args = [])
 * @method \ILABAmazon\Result unsubscribeFromEvent(array $args = [])
 * @method \GuzzleHttp\Promise\Promise unsubscribeFromEventAsync(array $args = [])
 * @method \ILABAmazon\Result updateAssessmentTarget(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateAssessmentTargetAsync(array $args = [])
 */
class InspectorClient extends AwsClient {}
