<?php
namespace ILABAmazon\IoTAnalytics;

use ILABAmazon\AwsClient;

/**
 * This client is used to interact with the **AWS IoT Analytics** service.
 * @method \ILABAmazon\Result batchPutMessage(array $args = [])
 * @method \GuzzleHttp\Promise\Promise batchPutMessageAsync(array $args = [])
 * @method \ILABAmazon\Result cancelPipelineReprocessing(array $args = [])
 * @method \GuzzleHttp\Promise\Promise cancelPipelineReprocessingAsync(array $args = [])
 * @method \ILABAmazon\Result createChannel(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createChannelAsync(array $args = [])
 * @method \ILABAmazon\Result createDataset(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createDatasetAsync(array $args = [])
 * @method \ILABAmazon\Result createDatasetContent(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createDatasetContentAsync(array $args = [])
 * @method \ILABAmazon\Result createDatastore(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createDatastoreAsync(array $args = [])
 * @method \ILABAmazon\Result createPipeline(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createPipelineAsync(array $args = [])
 * @method \ILABAmazon\Result deleteChannel(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteChannelAsync(array $args = [])
 * @method \ILABAmazon\Result deleteDataset(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteDatasetAsync(array $args = [])
 * @method \ILABAmazon\Result deleteDatasetContent(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteDatasetContentAsync(array $args = [])
 * @method \ILABAmazon\Result deleteDatastore(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteDatastoreAsync(array $args = [])
 * @method \ILABAmazon\Result deletePipeline(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deletePipelineAsync(array $args = [])
 * @method \ILABAmazon\Result describeChannel(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeChannelAsync(array $args = [])
 * @method \ILABAmazon\Result describeDataset(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeDatasetAsync(array $args = [])
 * @method \ILABAmazon\Result describeDatastore(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeDatastoreAsync(array $args = [])
 * @method \ILABAmazon\Result describeLoggingOptions(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeLoggingOptionsAsync(array $args = [])
 * @method \ILABAmazon\Result describePipeline(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describePipelineAsync(array $args = [])
 * @method \ILABAmazon\Result getDatasetContent(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getDatasetContentAsync(array $args = [])
 * @method \ILABAmazon\Result listChannels(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listChannelsAsync(array $args = [])
 * @method \ILABAmazon\Result listDatasetContents(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listDatasetContentsAsync(array $args = [])
 * @method \ILABAmazon\Result listDatasets(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listDatasetsAsync(array $args = [])
 * @method \ILABAmazon\Result listDatastores(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listDatastoresAsync(array $args = [])
 * @method \ILABAmazon\Result listPipelines(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listPipelinesAsync(array $args = [])
 * @method \ILABAmazon\Result listTagsForResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \ILABAmazon\Result putLoggingOptions(array $args = [])
 * @method \GuzzleHttp\Promise\Promise putLoggingOptionsAsync(array $args = [])
 * @method \ILABAmazon\Result runPipelineActivity(array $args = [])
 * @method \GuzzleHttp\Promise\Promise runPipelineActivityAsync(array $args = [])
 * @method \ILABAmazon\Result sampleChannelData(array $args = [])
 * @method \GuzzleHttp\Promise\Promise sampleChannelDataAsync(array $args = [])
 * @method \ILABAmazon\Result startPipelineReprocessing(array $args = [])
 * @method \GuzzleHttp\Promise\Promise startPipelineReprocessingAsync(array $args = [])
 * @method \ILABAmazon\Result tagResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \ILABAmazon\Result untagResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \ILABAmazon\Result updateChannel(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateChannelAsync(array $args = [])
 * @method \ILABAmazon\Result updateDataset(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateDatasetAsync(array $args = [])
 * @method \ILABAmazon\Result updateDatastore(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateDatastoreAsync(array $args = [])
 * @method \ILABAmazon\Result updatePipeline(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updatePipelineAsync(array $args = [])
 */
class IoTAnalyticsClient extends AwsClient {}
