<?php
namespace ILABAmazon\IoTThingsGraph;

use ILABAmazon\AwsClient;

/**
 * This client is used to interact with the **AWS IoT Things Graph** service.
 * @method \ILABAmazon\Result associateEntityToThing(array $args = [])
 * @method \GuzzleHttp\Promise\Promise associateEntityToThingAsync(array $args = [])
 * @method \ILABAmazon\Result createFlowTemplate(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createFlowTemplateAsync(array $args = [])
 * @method \ILABAmazon\Result createSystemInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createSystemInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result createSystemTemplate(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createSystemTemplateAsync(array $args = [])
 * @method \ILABAmazon\Result deleteFlowTemplate(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteFlowTemplateAsync(array $args = [])
 * @method \ILABAmazon\Result deleteNamespace(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteNamespaceAsync(array $args = [])
 * @method \ILABAmazon\Result deleteSystemInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteSystemInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result deleteSystemTemplate(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteSystemTemplateAsync(array $args = [])
 * @method \ILABAmazon\Result deploySystemInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deploySystemInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result deprecateFlowTemplate(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deprecateFlowTemplateAsync(array $args = [])
 * @method \ILABAmazon\Result deprecateSystemTemplate(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deprecateSystemTemplateAsync(array $args = [])
 * @method \ILABAmazon\Result describeNamespace(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeNamespaceAsync(array $args = [])
 * @method \ILABAmazon\Result dissociateEntityFromThing(array $args = [])
 * @method \GuzzleHttp\Promise\Promise dissociateEntityFromThingAsync(array $args = [])
 * @method \ILABAmazon\Result getEntities(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getEntitiesAsync(array $args = [])
 * @method \ILABAmazon\Result getFlowTemplate(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getFlowTemplateAsync(array $args = [])
 * @method \ILABAmazon\Result getFlowTemplateRevisions(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getFlowTemplateRevisionsAsync(array $args = [])
 * @method \ILABAmazon\Result getNamespaceDeletionStatus(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getNamespaceDeletionStatusAsync(array $args = [])
 * @method \ILABAmazon\Result getSystemInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getSystemInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result getSystemTemplate(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getSystemTemplateAsync(array $args = [])
 * @method \ILABAmazon\Result getSystemTemplateRevisions(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getSystemTemplateRevisionsAsync(array $args = [])
 * @method \ILABAmazon\Result getUploadStatus(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getUploadStatusAsync(array $args = [])
 * @method \ILABAmazon\Result listFlowExecutionMessages(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listFlowExecutionMessagesAsync(array $args = [])
 * @method \ILABAmazon\Result listTagsForResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \ILABAmazon\Result searchEntities(array $args = [])
 * @method \GuzzleHttp\Promise\Promise searchEntitiesAsync(array $args = [])
 * @method \ILABAmazon\Result searchFlowExecutions(array $args = [])
 * @method \GuzzleHttp\Promise\Promise searchFlowExecutionsAsync(array $args = [])
 * @method \ILABAmazon\Result searchFlowTemplates(array $args = [])
 * @method \GuzzleHttp\Promise\Promise searchFlowTemplatesAsync(array $args = [])
 * @method \ILABAmazon\Result searchSystemInstances(array $args = [])
 * @method \GuzzleHttp\Promise\Promise searchSystemInstancesAsync(array $args = [])
 * @method \ILABAmazon\Result searchSystemTemplates(array $args = [])
 * @method \GuzzleHttp\Promise\Promise searchSystemTemplatesAsync(array $args = [])
 * @method \ILABAmazon\Result searchThings(array $args = [])
 * @method \GuzzleHttp\Promise\Promise searchThingsAsync(array $args = [])
 * @method \ILABAmazon\Result tagResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \ILABAmazon\Result undeploySystemInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise undeploySystemInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result untagResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \ILABAmazon\Result updateFlowTemplate(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateFlowTemplateAsync(array $args = [])
 * @method \ILABAmazon\Result updateSystemTemplate(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateSystemTemplateAsync(array $args = [])
 * @method \ILABAmazon\Result uploadEntityDefinitions(array $args = [])
 * @method \GuzzleHttp\Promise\Promise uploadEntityDefinitionsAsync(array $args = [])
 */
class IoTThingsGraphClient extends AwsClient {}
