<?php
namespace ILABAmazon\MTurk;

use ILABAmazon\AwsClient;

/**
 * This client is used to interact with the **Amazon Mechanical Turk Requester Service** service.
 * @method \ILABAmazon\Result acceptQualificationRequest(array $args = [])
 * @method \GuzzleHttp\Promise\Promise acceptQualificationRequestAsync(array $args = [])
 * @method \ILABAmazon\Result approveAssignment(array $args = [])
 * @method \GuzzleHttp\Promise\Promise approveAssignmentAsync(array $args = [])
 * @method \ILABAmazon\Result associateQualificationWithWorker(array $args = [])
 * @method \GuzzleHttp\Promise\Promise associateQualificationWithWorkerAsync(array $args = [])
 * @method \ILABAmazon\Result createAdditionalAssignmentsForHIT(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createAdditionalAssignmentsForHITAsync(array $args = [])
 * @method \ILABAmazon\Result createHIT(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createHITAsync(array $args = [])
 * @method \ILABAmazon\Result createHITType(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createHITTypeAsync(array $args = [])
 * @method \ILABAmazon\Result createHITWithHITType(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createHITWithHITTypeAsync(array $args = [])
 * @method \ILABAmazon\Result createQualificationType(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createQualificationTypeAsync(array $args = [])
 * @method \ILABAmazon\Result createWorkerBlock(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createWorkerBlockAsync(array $args = [])
 * @method \ILABAmazon\Result deleteHIT(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteHITAsync(array $args = [])
 * @method \ILABAmazon\Result deleteQualificationType(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteQualificationTypeAsync(array $args = [])
 * @method \ILABAmazon\Result deleteWorkerBlock(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteWorkerBlockAsync(array $args = [])
 * @method \ILABAmazon\Result disassociateQualificationFromWorker(array $args = [])
 * @method \GuzzleHttp\Promise\Promise disassociateQualificationFromWorkerAsync(array $args = [])
 * @method \ILABAmazon\Result getAccountBalance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getAccountBalanceAsync(array $args = [])
 * @method \ILABAmazon\Result getAssignment(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getAssignmentAsync(array $args = [])
 * @method \ILABAmazon\Result getFileUploadURL(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getFileUploadURLAsync(array $args = [])
 * @method \ILABAmazon\Result getHIT(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getHITAsync(array $args = [])
 * @method \ILABAmazon\Result getQualificationScore(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getQualificationScoreAsync(array $args = [])
 * @method \ILABAmazon\Result getQualificationType(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getQualificationTypeAsync(array $args = [])
 * @method \ILABAmazon\Result listAssignmentsForHIT(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listAssignmentsForHITAsync(array $args = [])
 * @method \ILABAmazon\Result listBonusPayments(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listBonusPaymentsAsync(array $args = [])
 * @method \ILABAmazon\Result listHITs(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listHITsAsync(array $args = [])
 * @method \ILABAmazon\Result listHITsForQualificationType(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listHITsForQualificationTypeAsync(array $args = [])
 * @method \ILABAmazon\Result listQualificationRequests(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listQualificationRequestsAsync(array $args = [])
 * @method \ILABAmazon\Result listQualificationTypes(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listQualificationTypesAsync(array $args = [])
 * @method \ILABAmazon\Result listReviewPolicyResultsForHIT(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listReviewPolicyResultsForHITAsync(array $args = [])
 * @method \ILABAmazon\Result listReviewableHITs(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listReviewableHITsAsync(array $args = [])
 * @method \ILABAmazon\Result listWorkerBlocks(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listWorkerBlocksAsync(array $args = [])
 * @method \ILABAmazon\Result listWorkersWithQualificationType(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listWorkersWithQualificationTypeAsync(array $args = [])
 * @method \ILABAmazon\Result notifyWorkers(array $args = [])
 * @method \GuzzleHttp\Promise\Promise notifyWorkersAsync(array $args = [])
 * @method \ILABAmazon\Result rejectAssignment(array $args = [])
 * @method \GuzzleHttp\Promise\Promise rejectAssignmentAsync(array $args = [])
 * @method \ILABAmazon\Result rejectQualificationRequest(array $args = [])
 * @method \GuzzleHttp\Promise\Promise rejectQualificationRequestAsync(array $args = [])
 * @method \ILABAmazon\Result sendBonus(array $args = [])
 * @method \GuzzleHttp\Promise\Promise sendBonusAsync(array $args = [])
 * @method \ILABAmazon\Result sendTestEventNotification(array $args = [])
 * @method \GuzzleHttp\Promise\Promise sendTestEventNotificationAsync(array $args = [])
 * @method \ILABAmazon\Result updateExpirationForHIT(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateExpirationForHITAsync(array $args = [])
 * @method \ILABAmazon\Result updateHITReviewStatus(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateHITReviewStatusAsync(array $args = [])
 * @method \ILABAmazon\Result updateHITTypeOfHIT(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateHITTypeOfHITAsync(array $args = [])
 * @method \ILABAmazon\Result updateNotificationSettings(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateNotificationSettingsAsync(array $args = [])
 * @method \ILABAmazon\Result updateQualificationType(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateQualificationTypeAsync(array $args = [])
 */
class MTurkClient extends AwsClient {}
