<?php
namespace ILABAmazon\OpsWorks;

use ILABAmazon\AwsClient;

/**
 * This client is used to interact with the **AWS OpsWorks** service.
 *
 * @method \ILABAmazon\Result assignInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise assignInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result assignVolume(array $args = [])
 * @method \GuzzleHttp\Promise\Promise assignVolumeAsync(array $args = [])
 * @method \ILABAmazon\Result associateElasticIp(array $args = [])
 * @method \GuzzleHttp\Promise\Promise associateElasticIpAsync(array $args = [])
 * @method \ILABAmazon\Result attachElasticLoadBalancer(array $args = [])
 * @method \GuzzleHttp\Promise\Promise attachElasticLoadBalancerAsync(array $args = [])
 * @method \ILABAmazon\Result cloneStack(array $args = [])
 * @method \GuzzleHttp\Promise\Promise cloneStackAsync(array $args = [])
 * @method \ILABAmazon\Result createApp(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createAppAsync(array $args = [])
 * @method \ILABAmazon\Result createDeployment(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createDeploymentAsync(array $args = [])
 * @method \ILABAmazon\Result createInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result createLayer(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createLayerAsync(array $args = [])
 * @method \ILABAmazon\Result createStack(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createStackAsync(array $args = [])
 * @method \ILABAmazon\Result createUserProfile(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createUserProfileAsync(array $args = [])
 * @method \ILABAmazon\Result deleteApp(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteAppAsync(array $args = [])
 * @method \ILABAmazon\Result deleteInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result deleteLayer(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteLayerAsync(array $args = [])
 * @method \ILABAmazon\Result deleteStack(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteStackAsync(array $args = [])
 * @method \ILABAmazon\Result deleteUserProfile(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteUserProfileAsync(array $args = [])
 * @method \ILABAmazon\Result deregisterEcsCluster(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deregisterEcsClusterAsync(array $args = [])
 * @method \ILABAmazon\Result deregisterElasticIp(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deregisterElasticIpAsync(array $args = [])
 * @method \ILABAmazon\Result deregisterInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deregisterInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result deregisterRdsDbInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deregisterRdsDbInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result deregisterVolume(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deregisterVolumeAsync(array $args = [])
 * @method \ILABAmazon\Result describeAgentVersions(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeAgentVersionsAsync(array $args = [])
 * @method \ILABAmazon\Result describeApps(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeAppsAsync(array $args = [])
 * @method \ILABAmazon\Result describeCommands(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeCommandsAsync(array $args = [])
 * @method \ILABAmazon\Result describeDeployments(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeDeploymentsAsync(array $args = [])
 * @method \ILABAmazon\Result describeEcsClusters(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeEcsClustersAsync(array $args = [])
 * @method \ILABAmazon\Result describeElasticIps(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeElasticIpsAsync(array $args = [])
 * @method \ILABAmazon\Result describeElasticLoadBalancers(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeElasticLoadBalancersAsync(array $args = [])
 * @method \ILABAmazon\Result describeInstances(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeInstancesAsync(array $args = [])
 * @method \ILABAmazon\Result describeLayers(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeLayersAsync(array $args = [])
 * @method \ILABAmazon\Result describeLoadBasedAutoScaling(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeLoadBasedAutoScalingAsync(array $args = [])
 * @method \ILABAmazon\Result describeMyUserProfile(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeMyUserProfileAsync(array $args = [])
 * @method \ILABAmazon\Result describeOperatingSystems(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeOperatingSystemsAsync(array $args = [])
 * @method \ILABAmazon\Result describePermissions(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describePermissionsAsync(array $args = [])
 * @method \ILABAmazon\Result describeRaidArrays(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeRaidArraysAsync(array $args = [])
 * @method \ILABAmazon\Result describeRdsDbInstances(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeRdsDbInstancesAsync(array $args = [])
 * @method \ILABAmazon\Result describeServiceErrors(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeServiceErrorsAsync(array $args = [])
 * @method \ILABAmazon\Result describeStackProvisioningParameters(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeStackProvisioningParametersAsync(array $args = [])
 * @method \ILABAmazon\Result describeStackSummary(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeStackSummaryAsync(array $args = [])
 * @method \ILABAmazon\Result describeStacks(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeStacksAsync(array $args = [])
 * @method \ILABAmazon\Result describeTimeBasedAutoScaling(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeTimeBasedAutoScalingAsync(array $args = [])
 * @method \ILABAmazon\Result describeUserProfiles(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeUserProfilesAsync(array $args = [])
 * @method \ILABAmazon\Result describeVolumes(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeVolumesAsync(array $args = [])
 * @method \ILABAmazon\Result detachElasticLoadBalancer(array $args = [])
 * @method \GuzzleHttp\Promise\Promise detachElasticLoadBalancerAsync(array $args = [])
 * @method \ILABAmazon\Result disassociateElasticIp(array $args = [])
 * @method \GuzzleHttp\Promise\Promise disassociateElasticIpAsync(array $args = [])
 * @method \ILABAmazon\Result getHostnameSuggestion(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getHostnameSuggestionAsync(array $args = [])
 * @method \ILABAmazon\Result grantAccess(array $args = [])
 * @method \GuzzleHttp\Promise\Promise grantAccessAsync(array $args = [])
 * @method \ILABAmazon\Result listTags(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listTagsAsync(array $args = [])
 * @method \ILABAmazon\Result rebootInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise rebootInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result registerEcsCluster(array $args = [])
 * @method \GuzzleHttp\Promise\Promise registerEcsClusterAsync(array $args = [])
 * @method \ILABAmazon\Result registerElasticIp(array $args = [])
 * @method \GuzzleHttp\Promise\Promise registerElasticIpAsync(array $args = [])
 * @method \ILABAmazon\Result registerInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise registerInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result registerRdsDbInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise registerRdsDbInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result registerVolume(array $args = [])
 * @method \GuzzleHttp\Promise\Promise registerVolumeAsync(array $args = [])
 * @method \ILABAmazon\Result setLoadBasedAutoScaling(array $args = [])
 * @method \GuzzleHttp\Promise\Promise setLoadBasedAutoScalingAsync(array $args = [])
 * @method \ILABAmazon\Result setPermission(array $args = [])
 * @method \GuzzleHttp\Promise\Promise setPermissionAsync(array $args = [])
 * @method \ILABAmazon\Result setTimeBasedAutoScaling(array $args = [])
 * @method \GuzzleHttp\Promise\Promise setTimeBasedAutoScalingAsync(array $args = [])
 * @method \ILABAmazon\Result startInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise startInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result startStack(array $args = [])
 * @method \GuzzleHttp\Promise\Promise startStackAsync(array $args = [])
 * @method \ILABAmazon\Result stopInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise stopInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result stopStack(array $args = [])
 * @method \GuzzleHttp\Promise\Promise stopStackAsync(array $args = [])
 * @method \ILABAmazon\Result tagResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \ILABAmazon\Result unassignInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise unassignInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result unassignVolume(array $args = [])
 * @method \GuzzleHttp\Promise\Promise unassignVolumeAsync(array $args = [])
 * @method \ILABAmazon\Result untagResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \ILABAmazon\Result updateApp(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateAppAsync(array $args = [])
 * @method \ILABAmazon\Result updateElasticIp(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateElasticIpAsync(array $args = [])
 * @method \ILABAmazon\Result updateInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result updateLayer(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateLayerAsync(array $args = [])
 * @method \ILABAmazon\Result updateMyUserProfile(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateMyUserProfileAsync(array $args = [])
 * @method \ILABAmazon\Result updateRdsDbInstance(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateRdsDbInstanceAsync(array $args = [])
 * @method \ILABAmazon\Result updateStack(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateStackAsync(array $args = [])
 * @method \ILABAmazon\Result updateUserProfile(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateUserProfileAsync(array $args = [])
 * @method \ILABAmazon\Result updateVolume(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateVolumeAsync(array $args = [])
 */
class OpsWorksClient extends AwsClient {}
