<?php
namespace ILABAmazon\SecurityHub;

use ILABAmazon\AwsClient;

/**
 * This client is used to interact with the **AWS SecurityHub** service.
 * @method \ILABAmazon\Result acceptInvitation(array $args = [])
 * @method \GuzzleHttp\Promise\Promise acceptInvitationAsync(array $args = [])
 * @method \ILABAmazon\Result batchDisableStandards(array $args = [])
 * @method \GuzzleHttp\Promise\Promise batchDisableStandardsAsync(array $args = [])
 * @method \ILABAmazon\Result batchEnableStandards(array $args = [])
 * @method \GuzzleHttp\Promise\Promise batchEnableStandardsAsync(array $args = [])
 * @method \ILABAmazon\Result batchImportFindings(array $args = [])
 * @method \GuzzleHttp\Promise\Promise batchImportFindingsAsync(array $args = [])
 * @method \ILABAmazon\Result createActionTarget(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createActionTargetAsync(array $args = [])
 * @method \ILABAmazon\Result createInsight(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createInsightAsync(array $args = [])
 * @method \ILABAmazon\Result createMembers(array $args = [])
 * @method \GuzzleHttp\Promise\Promise createMembersAsync(array $args = [])
 * @method \ILABAmazon\Result declineInvitations(array $args = [])
 * @method \GuzzleHttp\Promise\Promise declineInvitationsAsync(array $args = [])
 * @method \ILABAmazon\Result deleteActionTarget(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteActionTargetAsync(array $args = [])
 * @method \ILABAmazon\Result deleteInsight(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteInsightAsync(array $args = [])
 * @method \ILABAmazon\Result deleteInvitations(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteInvitationsAsync(array $args = [])
 * @method \ILABAmazon\Result deleteMembers(array $args = [])
 * @method \GuzzleHttp\Promise\Promise deleteMembersAsync(array $args = [])
 * @method \ILABAmazon\Result describeActionTargets(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeActionTargetsAsync(array $args = [])
 * @method \ILABAmazon\Result describeHub(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeHubAsync(array $args = [])
 * @method \ILABAmazon\Result describeProducts(array $args = [])
 * @method \GuzzleHttp\Promise\Promise describeProductsAsync(array $args = [])
 * @method \ILABAmazon\Result disableImportFindingsForProduct(array $args = [])
 * @method \GuzzleHttp\Promise\Promise disableImportFindingsForProductAsync(array $args = [])
 * @method \ILABAmazon\Result disableSecurityHub(array $args = [])
 * @method \GuzzleHttp\Promise\Promise disableSecurityHubAsync(array $args = [])
 * @method \ILABAmazon\Result disassociateFromMasterAccount(array $args = [])
 * @method \GuzzleHttp\Promise\Promise disassociateFromMasterAccountAsync(array $args = [])
 * @method \ILABAmazon\Result disassociateMembers(array $args = [])
 * @method \GuzzleHttp\Promise\Promise disassociateMembersAsync(array $args = [])
 * @method \ILABAmazon\Result enableImportFindingsForProduct(array $args = [])
 * @method \GuzzleHttp\Promise\Promise enableImportFindingsForProductAsync(array $args = [])
 * @method \ILABAmazon\Result enableSecurityHub(array $args = [])
 * @method \GuzzleHttp\Promise\Promise enableSecurityHubAsync(array $args = [])
 * @method \ILABAmazon\Result getEnabledStandards(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getEnabledStandardsAsync(array $args = [])
 * @method \ILABAmazon\Result getFindings(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getFindingsAsync(array $args = [])
 * @method \ILABAmazon\Result getInsightResults(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getInsightResultsAsync(array $args = [])
 * @method \ILABAmazon\Result getInsights(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getInsightsAsync(array $args = [])
 * @method \ILABAmazon\Result getInvitationsCount(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getInvitationsCountAsync(array $args = [])
 * @method \ILABAmazon\Result getMasterAccount(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getMasterAccountAsync(array $args = [])
 * @method \ILABAmazon\Result getMembers(array $args = [])
 * @method \GuzzleHttp\Promise\Promise getMembersAsync(array $args = [])
 * @method \ILABAmazon\Result inviteMembers(array $args = [])
 * @method \GuzzleHttp\Promise\Promise inviteMembersAsync(array $args = [])
 * @method \ILABAmazon\Result listEnabledProductsForImport(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listEnabledProductsForImportAsync(array $args = [])
 * @method \ILABAmazon\Result listInvitations(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listInvitationsAsync(array $args = [])
 * @method \ILABAmazon\Result listMembers(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listMembersAsync(array $args = [])
 * @method \ILABAmazon\Result listTagsForResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise listTagsForResourceAsync(array $args = [])
 * @method \ILABAmazon\Result tagResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise tagResourceAsync(array $args = [])
 * @method \ILABAmazon\Result untagResource(array $args = [])
 * @method \GuzzleHttp\Promise\Promise untagResourceAsync(array $args = [])
 * @method \ILABAmazon\Result updateActionTarget(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateActionTargetAsync(array $args = [])
 * @method \ILABAmazon\Result updateFindings(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateFindingsAsync(array $args = [])
 * @method \ILABAmazon\Result updateInsight(array $args = [])
 * @method \GuzzleHttp\Promise\Promise updateInsightAsync(array $args = [])
 */
class SecurityHubClient extends AwsClient {}
